Reference example
# Fixed reference example. Playground inputs do not update this sample.
curl --request POST \
--url https://api.aisa.one/apis/v1/companyenrich/enrich-companies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"domains": [
"example.com",
"google.com"
]
}'curl --request POST \
--url https://api.aisa.one/apis/v1/companyenrich/enrich-companies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domains": [
"example.com",
"google.com"
]
}
'import requests
url = "https://api.aisa.one/apis/v1/companyenrich/enrich-companies"
payload = { "domains": ["example.com", "google.com"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({domains: ['example.com', 'google.com']})
};
fetch('https://api.aisa.one/apis/v1/companyenrich/enrich-companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/companyenrich/enrich-companies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'domains' => [
'example.com',
'google.com'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/companyenrich/enrich-companies"
payload := strings.NewReader("{\n \"domains\": [\n \"example.com\",\n \"google.com\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/companyenrich/enrich-companies")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"domains\": [\n \"example.com\",\n \"google.com\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/companyenrich/enrich-companies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"domains\": [\n \"example.com\",\n \"google.com\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"companies": [
{
"id": "<string>",
"name": "<string>",
"type": "unknown",
"domain": "<string>",
"revenue": "under-1m",
"socials": {
"g2_url": "<string>",
"github_url": "<string>",
"linkedin_id": "<string>",
"twitter_url": "<string>",
"youtube_url": "<string>",
"facebook_url": "<string>",
"linkedin_url": "<string>",
"angellist_url": "<string>",
"instagram_url": "<string>",
"crunchbase_url": "<string>"
},
"website": "<string>",
"industry": "<string>",
"keywords": [
"<string>"
],
"location": {
"city": {
"code": "<string>",
"name": "<string>"
},
"phone": "<string>",
"state": {
"code": "<string>",
"name": "<string>"
},
"address": "<string>",
"country": {
"code": "<string>",
"name": "<string>"
},
"postal_code": "<string>"
},
"logo_url": "<string>",
"employees": "1-10",
"financial": {
"funding": [
{
"date": "<string>",
"stage": "<string>",
"amount": 123,
"investors": [
"<string>"
]
}
],
"funding_date": "<string>",
"stock_symbol": "<string>",
"funding_stage": "<string>",
"total_funding": 123,
"stock_exchange": "<string>"
},
"page_rank": 123,
"workforce": {
"domain": "<string>",
"company_id": "<string>",
"history": [
{
"date": "<string>",
"count": 123
}
],
"department_headcount": [
{
"name": "<string>",
"count": 123
}
],
"employee_count_range": {
"range": "<string>",
"to_value": 123,
"from_value": 123
},
"unclassified_headcount": 123,
"observed_employee_count": 123
},
"categories": [
"<string>"
],
"industries": [
"<string>"
],
"updated_at": "<string>",
"description": "<string>",
"naics_codes": [
"<string>"
],
"founded_year": 123,
"subsidiaries": [
"<string>"
],
"technologies": [
"<string>"
],
"seo_description": "<string>"
}
],
"total_enriched": 123
}CompanyEnrich
Batch Enrich Companies
<!-- aisa-pricing:start -->
按用量计费;默认请求预估费用:$0.0093 USD(不是固定价格)。 声明的单位费率:每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。
<!-- aisa-pricing:end -->
POST
https://api.aisa.one
/
apis
/
v1
/
companyenrich
/
enrich-companies
Reference example
# Fixed reference example. Playground inputs do not update this sample.
curl --request POST \
--url https://api.aisa.one/apis/v1/companyenrich/enrich-companies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"domains": [
"example.com",
"google.com"
]
}'curl --request POST \
--url https://api.aisa.one/apis/v1/companyenrich/enrich-companies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domains": [
"example.com",
"google.com"
]
}
'import requests
url = "https://api.aisa.one/apis/v1/companyenrich/enrich-companies"
payload = { "domains": ["example.com", "google.com"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({domains: ['example.com', 'google.com']})
};
fetch('https://api.aisa.one/apis/v1/companyenrich/enrich-companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/companyenrich/enrich-companies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'domains' => [
'example.com',
'google.com'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/companyenrich/enrich-companies"
payload := strings.NewReader("{\n \"domains\": [\n \"example.com\",\n \"google.com\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/companyenrich/enrich-companies")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"domains\": [\n \"example.com\",\n \"google.com\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/companyenrich/enrich-companies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"domains\": [\n \"example.com\",\n \"google.com\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"companies": [
{
"id": "<string>",
"name": "<string>",
"type": "unknown",
"domain": "<string>",
"revenue": "under-1m",
"socials": {
"g2_url": "<string>",
"github_url": "<string>",
"linkedin_id": "<string>",
"twitter_url": "<string>",
"youtube_url": "<string>",
"facebook_url": "<string>",
"linkedin_url": "<string>",
"angellist_url": "<string>",
"instagram_url": "<string>",
"crunchbase_url": "<string>"
},
"website": "<string>",
"industry": "<string>",
"keywords": [
"<string>"
],
"location": {
"city": {
"code": "<string>",
"name": "<string>"
},
"phone": "<string>",
"state": {
"code": "<string>",
"name": "<string>"
},
"address": "<string>",
"country": {
"code": "<string>",
"name": "<string>"
},
"postal_code": "<string>"
},
"logo_url": "<string>",
"employees": "1-10",
"financial": {
"funding": [
{
"date": "<string>",
"stage": "<string>",
"amount": 123,
"investors": [
"<string>"
]
}
],
"funding_date": "<string>",
"stock_symbol": "<string>",
"funding_stage": "<string>",
"total_funding": 123,
"stock_exchange": "<string>"
},
"page_rank": 123,
"workforce": {
"domain": "<string>",
"company_id": "<string>",
"history": [
{
"date": "<string>",
"count": 123
}
],
"department_headcount": [
{
"name": "<string>",
"count": 123
}
],
"employee_count_range": {
"range": "<string>",
"to_value": 123,
"from_value": 123
},
"unclassified_headcount": 123,
"observed_employee_count": 123
},
"categories": [
"<string>"
],
"industries": [
"<string>"
],
"updated_at": "<string>",
"description": "<string>",
"naics_codes": [
"<string>"
],
"founded_year": 123,
"subsidiaries": [
"<string>"
],
"technologies": [
"<string>"
],
"seo_description": "<string>"
}
],
"total_enriched": 123
}请求规范
- 方法与路径: POST /apis/v1/companyenrich/enrich-companies
- 可用状态: enabled
- 请求 URL 模板:
https://api.aisa.one/apis/v1/companyenrich/enrich-companies - Runtime 事实版本: 820bb7817c59193621186d0a7e630f3f0f7d277be8c4a30ac65cde11e8c585c7
{
"operationId": "companyenrich.enrich-companies",
"method": "POST",
"path": "/apis/v1/companyenrich/enrich-companies",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"expand": {
"default": [],
"items": {
"enum": [
"workforce"
],
"type": "string"
},
"maxItems": 1,
"minItems": 0,
"type": "array",
"description": "Expandable response fields. Repeat the parameter to request multiple expansions. Supported values: `workforce` (adds the `workforce` field; costs 5 credits per company)."
},
"domains": {
"items": {
"type": "string"
},
"maxItems": 50,
"minItems": 1,
"type": "array",
"description": "A list of domains to enrich. Up to 50 domains can be provided in a single request.",
"examples": [
[
"example.com",
"google.com"
]
]
}
},
"required": [
"domains"
]
}
}
}
},
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "response_units",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"default_request_estimate_usd": 0.0093,
"estimate_source": "profile_seed",
"evidence_source": "response_body",
"maximum_units": 10000000,
"unit": "provider_credit",
"unit_rate_usd": 1e-06
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
费用与请求规则
按用量计费;默认请求预估费用:$0.0093 USD(不是固定价格)。 声明的单位费率:每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。 公开参考值不是你的账户报价或最终扣费。对于支持 X-AISA-Cost-Mode: quote 的接口,执行前请针对完整请求获取免费报价;执行后通过响应费用元数据和 Usage Logs 核对结算费用。1 USD 等于 1,000,000 个整数 micro-USD。- 默认请求参考估价(USD): 0.0093
- 声明的单位费率(USD): 1e-06
- 计费单位: provider_credit
- 计费依据: response_units
- 公开参考倍率: 1.0
- 声明的最大计数或单位数: 10000000
- 结算证据来源: response_body
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
A list of domains to enrich. Up to 50 domains can be provided in a single request.
Required array length:
1 - 50 elements示例:
["example.com", "google.com"]
Expandable response fields. Repeat the parameter to request multiple expansions. Supported values: workforce (adds the workforce field; costs 5 credits per company).
Maximum array length:
1可用选项:
workforce